### Method

# EDataServer Source dup_secret_label

since: 3.12

#### Declaration [src]

    gchar*
    e_source_dup_secret_label (
      ESource* source
    )

#### Description [src]

Creates a label string based on `source`‘s `ESource:display-name` for use with `SecretItem`.

Available since: 3.12

#### Return value

Type: `gchar*`

A newly-allocated secret label.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.